All of lore.kernel.org
 help / color / mirror / Atom feed
From: "Darrick J. Wong" <djwong@kernel.org>
To: guaneryu@gmail.com, zlang@redhat.com
Cc: linux-xfs@vger.kernel.org, fstests@vger.kernel.org, guan@eryu.me
Subject: [PATCH] xfs/432: fix this test when external devices are in use
Date: Tue, 26 Jul 2022 12:51:31 -0700	[thread overview]
Message-ID: <YuBFw4dheeSRHVQd@magnolia> (raw)

From: Darrick J. Wong <djwong@kernel.org>

This program exercises metadump and mdrestore being run against the
scratch device.  Therefore, the test must pass external log / rt device
arguments to xfs_repair -n to check the "restored" filesystem.  Fix the
incorrect usage, and report repair failures, since this test has been
silently failing for a while now.

Signed-off-by: Darrick J. Wong <djwong@kernel.org>
---
 tests/xfs/432 |   11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/tests/xfs/432 b/tests/xfs/432
index 86012f0b..5c6744ce 100755
--- a/tests/xfs/432
+++ b/tests/xfs/432
@@ -89,7 +89,16 @@ _scratch_xfs_metadump $metadump_file -w
 xfs_mdrestore $metadump_file $metadump_img
 
 echo "Check restored metadump image"
-$XFS_REPAIR_PROG -n $metadump_img >> $seqres.full 2>&1
+repair_args=('-n')
+[ "$USE_EXTERNAL" = yes -a ! -z "$SCRATCH_LOGDEV" ] && \
+	repair_args+=('-l' "$SCRATCH_LOGDEV")
+
+[ "$USE_EXTERNAL" = yes -a ! -z "$SCRATCH_RTDEV" ] && \
+	repair_args+=('-r' "$SCRATCH_RTDEV")
+
+$XFS_REPAIR_PROG "${repair_args[@]}" $metadump_img >> $seqres.full 2>&1
+res=$?
+test $res -ne 0 && echo "xfs_repair on restored fs returned $res?"
 
 # success, all done
 status=0

             reply	other threads:[~2022-07-26 19:51 UTC|newest]

Thread overview: 8+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-07-26 19:51 Darrick J. Wong [this message]
2022-07-27 12:21 ` [PATCH] xfs/432: fix this test when external devices are in use Zorro Lang
2022-07-27 14:59   ` Darrick J. Wong
2022-07-27 17:21     ` Zorro Lang
2022-07-27 23:14       ` [PATCH] xfs/432: fix this test when external devices are in useOM Darrick J. Wong
2022-07-27 22:06 ` [PATCH] xfs/432: fix this test when external devices are in use Dave Chinner
2022-07-27 22:47   ` Darrick J. Wong
2022-07-27 23:15     ` Darrick J. Wong

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=YuBFw4dheeSRHVQd@magnolia \
    --to=djwong@kernel.org \
    --cc=fstests@vger.kernel.org \
    --cc=guan@eryu.me \
    --cc=guaneryu@gmail.com \
    --cc=linux-xfs@vger.kernel.org \
    --cc=zlang@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.